<div class="container">
    <h1>Register device</h1>

    <mat-form-field appearance="outline" color="primary">
        <mat-label>Device id</mat-label>
        <input matInput [formControl]="deviceIdFC">
    </mat-form-field>

    <mat-form-field appearance="outline" color="primary">
        <mat-label>Name it</mat-label>
        <input matInput [formControl]="nameFC">
    </mat-form-field>

    <mat-form-field appearance="outline" color="primary">
        <mat-label>Assign it to an environment environment</mat-label>
        <mat-select [formControl]="environmentFC">
            <mat-option *ngFor="let env of environments" value="{{env?.environment?.id}}">{{env.environment?.name}}</mat-option>
        </mat-select>
    </mat-form-field>

    <button *ngIf="!editDevice" mat-raised-button (click)="onRegister()" color="add-button">
        Register
    </button>

    <button *ngIf="!!editDevice" mat-raised-button (click)="onUpdate()" color="add-button">
        Update
    </button>
</div>